curl --request GET \
--url https://softmax.com/api/observatory/v2/container_images \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/v2/container_images"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/v2/container_images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "<string>",
"name": "<string>",
"version": 123,
"client_hash": "<string>",
"status": "<string>",
"image_uri": "<string>",
"image_digest": "<string>",
"public_image_uri": "<string>",
"is_coworld_image": false
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}List container images
Returns container image versions visible to the caller, newest first. A continuation cursor is returned in the X-Next-Cursor response header when another page exists.
Authorizations
Bearer token issued by Softmax
Query Parameters
Maximum image versions returned.
1 <= x <= 500Opaque cursor from the previous page.
Return only images owned by the caller.
Response
Successful Response
Image version ID.
Name shared by versions of this image.
Version number within the named image.
Client-computed content hash, when supplied during upload.
Current state: pending, ready, deleted, or published.
Digest-pinned private registry URI, when included after upload or verification.
Registry digest, when the image is ready.
Public image URI, when this image belongs to a published Coworld.
Whether a stored Coworld manifest references this image.